/***************************************************************************
 * netbios.c: NetBIOS NBMS partial implementation ATmega88.
 * Copyright (C) 2007 Michael C McTernan,
 *    Michael.McTernan.2001@cs.bris.ac.uk
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***************************************************************************/

#ifndef NETBIOS_H
#define NETBIOS_H

/**************************************************************************
 * Includes
 **************************************************************************/

#include <stdint.h>
#include "eth.h"
#include "udp.h"
#include "ip.h"

/**************************************************************************
 * Prototypes
 **************************************************************************/

void NetBiosNsSetHostname  (void);
void NetBiosNsProcessPacket(const ipparam_t  *ipp);

#endif /* NETBIOS_H */

/* END OF FILE */
