#!/usr/bin/gnuplot -persist

#set terminal png
#set output "size.png"

set xdata time
set timefmt "%s"
set format x "%b %d"
set autoscale y
set autoscale y2
#set xlabel  "Time"
set ylabel  "FLASH Usage (bytes)" textcolor lt 1
set y2label "SRAM Usage (bytes)" textcolor lt 2
set ytics nomirror
set y2tics
set tics out
set yrange [0 : 16384]
set y2range [0 : 1024]
set key left top


# Remove 196 EEPROM bytes
plot "size.log" using 1:($2+$3-196) title 'Code + Data' axes x1y1, \
     "size.log" using 1:($3+$4-196) title 'BSS + Data' axes x1y2

# END OF SCRIPT
